'Newland.Toubiz.Poi.Neos:Show':
  abstract: true

  superTypes:
    'Neos.Neos:Plugin': true

  ui:
    group: 'poi'
    label: i18n
    icon: map-marker
    inspector:
      groups:
        data:
          label: i18n
          icon: database

  properties:
    article:
      type: string
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: data
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            allowEmpty: false
            dataSourceIdentifier: 'newland-toubiz-poi-neos-pois'

'Newland.Toubiz.Poi.Neos:ShowCity':
  superTypes:
    'Newland.Toubiz.Poi.Neos:Show': true

  ui:
    group: 'city'

  properties:
    article:
      ui:
        inspector:
          editorOptions:
            dataSourceAdditionalData:
              mainType: '6'
